require_relative 'player'

module StudioGame
  class BerserkPlayer < Player
    def initialize(name, health=100)
      super(name, health)
      @w00ts = 0
    end

    def berserk?
      @w00ts > 5
    end

    def w00t
      super
      @w00ts += 1
      if berserk?
        puts "#{@name} is berserk!"
      end
    end

    def blam
      if berserk?
        w00t
      else
        super
      end
    end
  end
end

if __FILE__ == $0
  berserker = BerserkPlayer.new("berserker", 50)
  1.upto(5) { berserker.w00t}
  puts berserker.berserk?
end